AnsweredAssumed Answered

UnpackError while building gstreamer1.0 with Yocto Thud

Question asked by Karim Atiki on Oct 29, 2019
Latest reply on Nov 7, 2019 by Karim Atiki

Hi,

 

I'm currently trying to build gstreamer1.0 with Yocto Thud.

My host machine is a Debian 9 (stretch) Linux.

It always succeeded with previous version of Yocto rocko and sumo.

 

But there with thud I immediately get an Unpack Error I've never experienced before:

 

ERROR: gstreamer1.0-1.14.4.imx-r0 do_unpack: gitsm: submodule unpack failed: UnpackError Unpack failure for URL: 'gitsm://anongit.freedesktop.org/git/gstreamer/common.git;protocol=https;name=common;subpath=common;bareclone=1;nobranch=1'. No up to date source found: clone directory not available or not up to date: /opt/yocto/imx8/fsl-imx8-thud-4.19.35-1.0.0/../../downloads/git2/anongit.freedesktop.org.git.gstreamer.common.git; shallow clone not enabled
ERROR: gstreamer1.0-1.14.4.imx-r0 do_unpack: Unpack failure for URL: 'gitsm://anongit.freedesktop.org/git/gstreamer/common.git;protocol=https;name=common;subpath=common;bareclone=1;nobranch=1'. No up to date source found: clone directory not available or not up to date: /opt/yocto/imx8/fsl-imx8-thud-4.19.35-1.0.0/../../downloads/git2/anongit.freedesktop.org.git.gstreamer.common.git; shallow clone not enabled
ERROR: gstreamer1.0-1.14.4.imx-r0 do_unpack: Function failed: base_do_unpack
ERROR: Logfile of failure stored in: /opt/yocto/imx8/fsl-imx8-thud-4.19.35-1.0.0/build/tmp/work/aarch64-poky-linux/gstreamer1.0/1.14.4.imx-r0/temp/log.do_unpack.27700
ERROR: Task (/opt/yocto/imx8/fsl-imx8-thud-4.19.35-1.0.0/sources/meta-freescale/recipes-multimedia/gstreamer/gstreamer1.0_1.14.imx.bb:do_unpack) failed with exit code '1'

 

I've attached the log.do_unpack file. I tried to clean everything up, but I still get this annoying error and I'm stuck with it for a while now.

 

Any suggestion is really welcome

 

Thanks.

 

Karim

Attachments

Outcomes